Create or link a Customer
Creates or links a Customer for the calling organization. Exact normalized email matches may link an existing platform Customer without revealing cross-organization existence. Requires Idempotency-Key. Required scope: customers:write.
Creates or links a Customer for the calling organization. Exact normalized email matches may link an existing platform Customer without revealing cross-organization existence. Requires Idempotency-Key. Required scope: customers:write.
Organization API key. Format: Bearer sk_live_...
In: header
Request Body
application/json
JSON request payload for createCustomer.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers" \ -H "Content-Type: application/json" \ -d '{ "firstName": "Ada", "lastName": "Lovelace", "email": "ada@example.com", "phone": "+15555550123", "customFields": { "preferredLanguage": "en" }, "externalReferences": [ { "externalSystem": "salesforce", "externalObject": "Contact", "externalId": "003123" } ] }'{ "data": {}, "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}